<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: pressure_func Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pressure_func Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ab945ba7b06a298a9642c93a600c46d14"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#ab945ba7b06a298a9642c93a600c46d14">rescale_laplacian</a> (solver, sd)</td></tr>
<tr class="separator:ab945ba7b06a298a9642c93a600c46d14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b7c6e88cdd85bdd90b58160800b043d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a6b7c6e88cdd85bdd90b58160800b043d">pressure_operator</a> (A, B, solver, sd)</td></tr>
<tr class="separator:a6b7c6e88cdd85bdd90b58160800b043d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bc99218c1037d1c220abc0779a0df00"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a1bc99218c1037d1c220abc0779a0df00">pressure_icc_init</a> (solver, sd)</td></tr>
<tr class="separator:a1bc99218c1037d1c220abc0779a0df00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7354945a68c6b78c15d823b6334cf88"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#ae7354945a68c6b78c15d823b6334cf88">pressure_icc_diag</a> (solver, sd)</td></tr>
<tr class="separator:ae7354945a68c6b78c15d823b6334cf88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f074ed5b97474119c508c4749626202"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a0f074ed5b97474119c508c4749626202">pressure_precond_icc</a> (A, B, solver, sd)</td></tr>
<tr class="separator:a0f074ed5b97474119c508c4749626202"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abed90901e0d97e142ae7875f28bddb98"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#abed90901e0d97e142ae7875f28bddb98">pressure_precond_diag</a> (A, B, solver, sd)</td></tr>
<tr class="separator:abed90901e0d97e142ae7875f28bddb98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12af6f0e7c982e4a3f52ae82d38aed41"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a12af6f0e7c982e4a3f52ae82d38aed41">pressure_precond_tridiag</a> (A, B, solver, sd)</td></tr>
<tr class="separator:a12af6f0e7c982e4a3f52ae82d38aed41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd8a4c7c6ba8baaea5ce038b98eafa1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a6dd8a4c7c6ba8baaea5ce038b98eafa1">cleanup_precond_tridiag</a> ()</td></tr>
<tr class="separator:a6dd8a4c7c6ba8baaea5ce038b98eafa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a19798cce0c428a4592539f495fe6f598"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a19798cce0c428a4592539f495fe6f598">alloc_ax</a> = .FALSE.</td></tr>
<tr class="separator:a19798cce0c428a4592539f495fe6f598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdb1f8b759d156f5b7ba8dac06254e6f"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#afdb1f8b759d156f5b7ba8dac06254e6f">alloc_rx</a> = .FALSE.</td></tr>
<tr class="separator:afdb1f8b759d156f5b7ba8dac06254e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e826873b9798787ec7b14057dd7176a"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a6e826873b9798787ec7b14057dd7176a">alloc_ay</a> = .FALSE.</td></tr>
<tr class="separator:a6e826873b9798787ec7b14057dd7176a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a6961489745f1f95c9c7734de47b7b9"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a6a6961489745f1f95c9c7734de47b7b9">alloc_ry</a> = .FALSE.</td></tr>
<tr class="separator:a6a6961489745f1f95c9c7734de47b7b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d2f7225a65290a448291297c43bdb1c"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a6d2f7225a65290a448291297c43bdb1c">alloc_az</a> = .FALSE.</td></tr>
<tr class="separator:a6d2f7225a65290a448291297c43bdb1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933172d6bfb92a67dad4fd19a1b38401"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__func.html#a933172d6bfb92a67dad4fd19a1b38401">alloc_rz</a> = .FALSE.</td></tr>
<tr class="separator:a933172d6bfb92a67dad4fd19a1b38401"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a6dd8a4c7c6ba8baaea5ce038b98eafa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dd8a4c7c6ba8baaea5ce038b98eafa1">&#9670;&nbsp;</a></span>cleanup_precond_tridiag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::cleanup_precond_tridiag </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepressure__func.html#a19798cce0c428a4592539f495fe6f598">alloc_ax</a>, <a class="el" href="namespacepressure__func.html#a6e826873b9798787ec7b14057dd7176a">alloc_ay</a>, <a class="el" href="namespacepressure__func.html#a6d2f7225a65290a448291297c43bdb1c">alloc_az</a>, <a class="el" href="namespacepressure__func.html#afdb1f8b759d156f5b7ba8dac06254e6f">alloc_rx</a>, <a class="el" href="namespacepressure__func.html#a6a6961489745f1f95c9c7734de47b7b9">alloc_ry</a>, and <a class="el" href="namespacepressure__func.html#a933172d6bfb92a67dad4fd19a1b38401">alloc_rz</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_a6dd8a4c7c6ba8baaea5ce038b98eafa1_icgraph.png" border="0" usemap="#namespacepressure__func_a6dd8a4c7c6ba8baaea5ce038b98eafa1_icgraph" alt=""/></div>
<map name="namespacepressure__func_a6dd8a4c7c6ba8baaea5ce038b98eafa1_icgraph" id="namespacepressure__func_a6dd8a4c7c6ba8baaea5ce038b98eafa1_icgraph">
<area shape="rect" id="node2" href="namespacebicgstab__func.html#acfa9b093aa8f3ed7fb2ee833c54799d0" title="bicgstab_func::bicgstab\l_solve" alt="" coords="211,141,371,183"/>
<area shape="rect" id="node3" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="419,57,600,99"/>
<area shape="rect" id="node7" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="432,173,587,215"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="661,5,817,47"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="893,5,1050,47"/>
<area shape="rect" id="node6" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1112,13,1219,39"/>
<area shape="rect" id="node8" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="648,71,831,112"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="648,136,831,177"/>
<area shape="rect" id="node10" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="664,202,815,258"/>
<area shape="rect" id="node13" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="667,283,812,324"/>
<area shape="rect" id="node14" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="660,348,819,389"/>
<area shape="rect" id="node11" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="879,217,1064,243"/>
<area shape="rect" id="node12" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1112,217,1219,243"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="899,348,1044,389"/>
</map>
</div>

</div>
</div>
<a id="ae7354945a68c6b78c15d823b6334cf88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7354945a68c6b78c15d823b6334cf88">&#9670;&nbsp;</a></span>pressure_icc_diag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::pressure_icc_diag </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_ae7354945a68c6b78c15d823b6334cf88_icgraph.png" border="0" usemap="#namespacepressure__func_ae7354945a68c6b78c15d823b6334cf88_icgraph" alt=""/></div>
<map name="namespacepressure__func_ae7354945a68c6b78c15d823b6334cf88_icgraph" id="namespacepressure__func_ae7354945a68c6b78c15d823b6334cf88_icgraph">
<area shape="rect" id="node2" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="216,21,397,63"/>
<area shape="rect" id="node6" href="namespacevdf__pressure.html#a0c5741822a7c3f28cda8c7d8710b1161" title="vdf_pressure::pressure\l_init_step2" alt="" coords="229,117,384,159"/>
<area shape="rect" id="node8" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="229,245,384,287"/>
<area shape="rect" id="node17" href="namespacevdf__pressure__md.html#ad455889bbbb6367f13f9a3bac4f22400" title="vdf_pressure_md::pressure\l_solve_md" alt="" coords="217,380,397,421"/>
<area shape="rect" id="node3" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="459,5,615,47"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="690,5,847,47"/>
<area shape="rect" id="node5" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="909,13,1016,39"/>
<area shape="rect" id="node7" href="namespacevdf__pressure.html#ac1a8edd4b35743d7b9223dc97746e92e" title="vdf_pressure::pressure_init" alt="" coords="447,71,626,98"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="445,123,628,164"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="445,188,628,229"/>
<area shape="rect" id="node11" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="461,254,612,310"/>
<area shape="rect" id="node14" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="464,335,609,376"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="457,400,616,441"/>
<area shape="rect" id="node12" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="676,269,861,295"/>
<area shape="rect" id="node13" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="909,269,1016,295"/>
<area shape="rect" id="node16" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="696,400,841,441"/>
<area shape="rect" id="node18" href="namespacevdf__velocity__md.html#a16ccc0ee9f5454f1d0a9e0218ff7fca6" title="vdf_velocity_md::velocity\l_pressure_md" alt="" coords="451,465,622,507"/>
</map>
</div>

</div>
</div>
<a id="a1bc99218c1037d1c220abc0779a0df00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bc99218c1037d1c220abc0779a0df00">&#9670;&nbsp;</a></span>pressure_icc_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::pressure_icc_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_a1bc99218c1037d1c220abc0779a0df00_icgraph.png" border="0" usemap="#namespacepressure__func_a1bc99218c1037d1c220abc0779a0df00_icgraph" alt=""/></div>
<map name="namespacepressure__func_a1bc99218c1037d1c220abc0779a0df00_icgraph" id="namespacepressure__func_a1bc99218c1037d1c220abc0779a0df00_icgraph">
<area shape="rect" id="node2" href="namespacevdf__pressure.html#a0c5741822a7c3f28cda8c7d8710b1161" title="vdf_pressure::pressure\l_init_step2" alt="" coords="216,5,371,47"/>
<area shape="rect" id="node3" href="namespacevdf__pressure.html#ac1a8edd4b35743d7b9223dc97746e92e" title="vdf_pressure::pressure_init" alt="" coords="419,13,597,39"/>
</map>
</div>

</div>
</div>
<a id="a6b7c6e88cdd85bdd90b58160800b043d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b7c6e88cdd85bdd90b58160800b043d">&#9670;&nbsp;</a></span>pressure_operator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::pressure_operator </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(sd%imino_:sd%imaxo_,sd%jmino_:sd%jmaxo_,sd%kmino_:sd%kmaxo_)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imin_ :sd%imax_ ,sd%jmin_ :sd%jmax_ ,sd%kmin_ :sd%kmax_ )&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_a6b7c6e88cdd85bdd90b58160800b043d_icgraph.png" border="0" usemap="#namespacepressure__func_a6b7c6e88cdd85bdd90b58160800b043d_icgraph" alt=""/></div>
<map name="namespacepressure__func_a6b7c6e88cdd85bdd90b58160800b043d_icgraph" id="namespacepressure__func_a6b7c6e88cdd85bdd90b58160800b043d_icgraph">
<area shape="rect" id="node2" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="216,5,376,47"/>
<area shape="rect" id="node17" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="216,71,376,112"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="216,136,376,177"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="216,201,376,243"/>
<area shape="rect" id="node20" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="216,267,376,308"/>
<area shape="rect" id="node21" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="216,332,376,373"/>
<area shape="rect" id="node22" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="216,397,376,439"/>
<area shape="rect" id="node3" href="namespacebicgstab__func.html#acfa9b093aa8f3ed7fb2ee833c54799d0" title="bicgstab_func::bicgstab\l_solve" alt="" coords="424,201,584,243"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="632,117,813,159"/>
<area shape="rect" id="node8" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="645,233,800,275"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="875,65,1031,107"/>
<area shape="rect" id="node6" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="1106,65,1263,107"/>
<area shape="rect" id="node7" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1325,73,1432,99"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="861,131,1044,172"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="861,196,1044,237"/>
<area shape="rect" id="node11" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="877,262,1028,318"/>
<area shape="rect" id="node14" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="880,343,1025,384"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="873,408,1032,449"/>
<area shape="rect" id="node12" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="1092,277,1277,303"/>
<area shape="rect" id="node13" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1325,277,1432,303"/>
<area shape="rect" id="node16" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="1112,408,1257,449"/>
</map>
</div>

</div>
</div>
<a id="abed90901e0d97e142ae7875f28bddb98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abed90901e0d97e142ae7875f28bddb98">&#9670;&nbsp;</a></span>pressure_precond_diag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::pressure_precond_diag </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(sd%imin_:sd%imax_,sd%jmin_:sd%jmax_,sd%kmin_:sd%kmax_), intent(in)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:sd%imaxo_,sd%jmino_:sd%jmaxo_,sd%kmino_:sd%kmaxo_), intent(inout)&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(inout), target&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_abed90901e0d97e142ae7875f28bddb98_icgraph.png" border="0" usemap="#namespacepressure__func_abed90901e0d97e142ae7875f28bddb98_icgraph" alt=""/></div>
<map name="namespacepressure__func_abed90901e0d97e142ae7875f28bddb98_icgraph" id="namespacepressure__func_abed90901e0d97e142ae7875f28bddb98_icgraph">
<area shape="rect" id="node2" href="namespacebicgstab__func.html#acfa9b093aa8f3ed7fb2ee833c54799d0" title="bicgstab_func::bicgstab\l_solve" alt="" coords="632,213,792,255"/>
<area shape="rect" id="node16" href="namespacebicgstab__func.html#a296b3d2defdb5bd5a8758246ce856764" title="bicgstab_func::bicgstab\l_apply_precond" alt="" coords="216,212,376,253"/>
<area shape="rect" id="node3" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="840,129,1021,171"/>
<area shape="rect" id="node7" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="853,245,1008,287"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="1083,77,1239,119"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="1314,77,1471,119"/>
<area shape="rect" id="node6" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1533,85,1640,111"/>
<area shape="rect" id="node8" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="1069,143,1252,184"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="1069,208,1252,249"/>
<area shape="rect" id="node10" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="1085,274,1236,330"/>
<area shape="rect" id="node13" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="1088,355,1233,396"/>
<area shape="rect" id="node14" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="1081,420,1240,461"/>
<area shape="rect" id="node11" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="1300,289,1485,315"/>
<area shape="rect" id="node12" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1533,289,1640,315"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="1320,420,1465,461"/>
<area shape="rect" id="node17" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="424,49,584,91"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="424,115,584,156"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="424,180,584,221"/>
<area shape="rect" id="node20" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="424,245,584,287"/>
<area shape="rect" id="node21" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="424,311,584,352"/>
<area shape="rect" id="node22" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="424,376,584,417"/>
<area shape="rect" id="node23" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="424,441,584,483"/>
</map>
</div>

</div>
</div>
<a id="a0f074ed5b97474119c508c4749626202"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f074ed5b97474119c508c4749626202">&#9670;&nbsp;</a></span>pressure_precond_icc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::pressure_precond_icc </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(sd%imin_:sd%imax_,sd%jmin_:sd%jmax_,sd%kmin_:sd%kmax_), intent(in)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:sd%imaxo_,sd%jmino_:sd%jmaxo_,sd%kmino_:sd%kmaxo_), intent(inout)&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(inout), target&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_a0f074ed5b97474119c508c4749626202_icgraph.png" border="0" usemap="#namespacepressure__func_a0f074ed5b97474119c508c4749626202_icgraph" alt=""/></div>
<map name="namespacepressure__func_a0f074ed5b97474119c508c4749626202_icgraph" id="namespacepressure__func_a0f074ed5b97474119c508c4749626202_icgraph">
<area shape="rect" id="node2" href="namespacebicgstab__func.html#a296b3d2defdb5bd5a8758246ce856764" title="bicgstab_func::bicgstab\l_apply_precond" alt="" coords="216,201,376,243"/>
<area shape="rect" id="node3" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="424,5,584,47"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="424,71,584,112"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="424,136,584,177"/>
<area shape="rect" id="node20" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="424,201,584,243"/>
<area shape="rect" id="node21" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="424,267,584,308"/>
<area shape="rect" id="node22" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="424,332,584,373"/>
<area shape="rect" id="node23" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="424,397,584,439"/>
<area shape="rect" id="node4" href="namespacebicgstab__func.html#acfa9b093aa8f3ed7fb2ee833c54799d0" title="bicgstab_func::bicgstab\l_solve" alt="" coords="632,201,792,243"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="840,117,1021,159"/>
<area shape="rect" id="node9" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="853,233,1008,275"/>
<area shape="rect" id="node6" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="1083,65,1239,107"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="1314,65,1471,107"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1533,73,1640,99"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="1069,131,1252,172"/>
<area shape="rect" id="node11" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="1069,196,1252,237"/>
<area shape="rect" id="node12" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="1085,262,1236,318"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="1088,343,1233,384"/>
<area shape="rect" id="node16" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="1081,408,1240,449"/>
<area shape="rect" id="node13" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="1300,277,1485,303"/>
<area shape="rect" id="node14" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1533,277,1640,303"/>
<area shape="rect" id="node17" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="1320,408,1465,449"/>
</map>
</div>

</div>
</div>
<a id="a12af6f0e7c982e4a3f52ae82d38aed41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12af6f0e7c982e4a3f52ae82d38aed41">&#9670;&nbsp;</a></span>pressure_precond_tridiag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::pressure_precond_tridiag </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(sd%imin_:sd%imax_,sd%jmin_:sd%jmax_,sd%kmin_:sd%kmax_), intent(in)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:sd%imaxo_,sd%jmino_:sd%jmaxo_,sd%kmino_:sd%kmaxo_), intent(inout)&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(inout), target&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepressure__func.html#a19798cce0c428a4592539f495fe6f598">alloc_ax</a>, <a class="el" href="namespacepressure__func.html#a6e826873b9798787ec7b14057dd7176a">alloc_ay</a>, <a class="el" href="namespacepressure__func.html#a6d2f7225a65290a448291297c43bdb1c">alloc_az</a>, <a class="el" href="namespacepressure__func.html#afdb1f8b759d156f5b7ba8dac06254e6f">alloc_rx</a>, <a class="el" href="namespacepressure__func.html#a6a6961489745f1f95c9c7734de47b7b9">alloc_ry</a>, <a class="el" href="namespacepressure__func.html#a933172d6bfb92a67dad4fd19a1b38401">alloc_rz</a>, <a class="el" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968">implicit_func::implicit_solve_x()</a>, <a class="el" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926">implicit_func::implicit_solve_y()</a>, and <a class="el" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3">implicit_func::implicit_solve_z()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_cgraph.png" border="0" usemap="#namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_cgraph" alt=""/></div>
<map name="namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_cgraph" id="namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_cgraph">
<area shape="rect" id="node2" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968" title="implicit_func::implicit\l_solve_x" alt="" coords="216,136,360,177"/>
<area shape="rect" id="node12" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926" title="implicit_func::implicit\l_solve_y" alt="" coords="216,201,360,243"/>
<area shape="rect" id="node13" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3" title="implicit_func::implicit\l_solve_z" alt="" coords="216,267,360,308"/>
<area shape="rect" id="node3" href="namespacepentadiagonal__m.html#aca5488d6777b7860c32483a1f3c33f8c" title="pentadiagonal_m::pentadiagonal_vv" alt="" coords="408,209,637,235"/>
<area shape="rect" id="node8" href="namespacepolydiagonal__m.html#a6819a6ba412138553ed15363ba834e3f" title="polydiagonal_m::polydiagonal_vv" alt="" coords="416,274,629,301"/>
<area shape="rect" id="node9" href="namespacetridiagonal__m.html#ab5dc49bab706e846f91279f079ad9494" title="tridiagonal_m::tridiagonal_vv" alt="" coords="429,143,616,170"/>
<area shape="rect" id="node4" href="namespacepentadiagonal__m.html#a8a3c27dbedbcb3a38d56c631a63bdd3a" title="pentadiagonal_m::pentadiagonal\l_periodic_serial_vv" alt="" coords="685,136,893,177"/>
<area shape="rect" id="node5" href="namespacepentadiagonal__m.html#ae4208d9692148edaf7b8cdb044345ac6" title="pentadiagonal_m::pentadiagonal\l_serial_vv" alt="" coords="685,201,893,243"/>
<area shape="rect" id="node6" href="namespacepolydiagonal__m.html#aaf7bcb06ff1b2461fc086ceabec0ecf1" title="polydiagonal_m::polydiagonal\l_periodic_serial_vv" alt="" coords="693,267,885,308"/>
<area shape="rect" id="node7" href="namespacepolydiagonal__m.html#a7df0ae302a86865a8c58f02c34450e55" title="polydiagonal_m::polydiagonal\l_serial_vv" alt="" coords="693,332,885,373"/>
<area shape="rect" id="node10" href="namespacetridiagonal__m.html#aca8a7e2c722c6bbec05b33721c745dbc" title="tridiagonal_m::tridiagonal\l_serial_vv" alt="" coords="706,5,873,47"/>
<area shape="rect" id="node11" href="namespacetridiagonal__m.html#afbad07f6e521bc139844eb5b75c50cf0" title="tridiagonal_m::tridiagonal\l_periodic_serial_vv" alt="" coords="706,71,873,112"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_icgraph.png" border="0" usemap="#namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_icgraph" alt=""/></div>
<map name="namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_icgraph" id="namespacepressure__func_a12af6f0e7c982e4a3f52ae82d38aed41_icgraph">
<area shape="rect" id="node2" href="namespacebicgstab__func.html#a296b3d2defdb5bd5a8758246ce856764" title="bicgstab_func::bicgstab\l_apply_precond" alt="" coords="216,201,376,243"/>
<area shape="rect" id="node3" href="namespacebicgstab__func.html#acddbbe47c8cc154a98f90a6fb1fcf184" title="bicgstab_func::bicgstab\l_solve_3d" alt="" coords="424,5,584,47"/>
<area shape="rect" id="node18" href="namespacebicgstab__func.html#a1dc7ecf30644edd6a031e1db225ba3e3" title="bicgstab_func::bicgstab\l_solve_x" alt="" coords="424,71,584,112"/>
<area shape="rect" id="node19" href="namespacebicgstab__func.html#a23a854c76c9fb040fee00234af5bca68" title="bicgstab_func::bicgstab\l_solve_y" alt="" coords="424,136,584,177"/>
<area shape="rect" id="node20" href="namespacebicgstab__func.html#ac6ec250f3728ba4a0bc0a835d5f9e171" title="bicgstab_func::bicgstab\l_solve_z" alt="" coords="424,201,584,243"/>
<area shape="rect" id="node21" href="namespacebicgstab__func.html#a02c8ee2f08926d50a71b277e1d786ee9" title="bicgstab_func::bicgstab\l_solve_yz" alt="" coords="424,267,584,308"/>
<area shape="rect" id="node22" href="namespacebicgstab__func.html#af3472f7a50a0910e49276b960892fbf8" title="bicgstab_func::bicgstab\l_solve_xz" alt="" coords="424,332,584,373"/>
<area shape="rect" id="node23" href="namespacebicgstab__func.html#aece4e65e55feeb740004a8725844316b" title="bicgstab_func::bicgstab\l_solve_xy" alt="" coords="424,397,584,439"/>
<area shape="rect" id="node4" href="namespacebicgstab__func.html#acfa9b093aa8f3ed7fb2ee833c54799d0" title="bicgstab_func::bicgstab\l_solve" alt="" coords="632,201,792,243"/>
<area shape="rect" id="node5" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="840,117,1021,159"/>
<area shape="rect" id="node9" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="853,233,1008,275"/>
<area shape="rect" id="node6" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="1083,65,1239,107"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="1314,65,1471,107"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1533,73,1640,99"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="1069,131,1252,172"/>
<area shape="rect" id="node11" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="1069,196,1252,237"/>
<area shape="rect" id="node12" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="1085,262,1236,318"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="1088,343,1233,384"/>
<area shape="rect" id="node16" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="1081,408,1240,449"/>
<area shape="rect" id="node13" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="1300,277,1485,303"/>
<area shape="rect" id="node14" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1533,277,1640,303"/>
<area shape="rect" id="node17" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="1320,408,1465,449"/>
</map>
</div>

</div>
</div>
<a id="ab945ba7b06a298a9642c93a600c46d14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab945ba7b06a298a9642c93a600c46d14">&#9670;&nbsp;</a></span>rescale_laplacian()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public pressure_func::rescale_laplacian </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structpressure__defs_1_1solver__pressure__.html">solver_pressure_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacepressure__func_ab945ba7b06a298a9642c93a600c46d14_icgraph.png" border="0" usemap="#namespacepressure__func_ab945ba7b06a298a9642c93a600c46d14_icgraph" alt=""/></div>
<map name="namespacepressure__func_ab945ba7b06a298a9642c93a600c46d14_icgraph" id="namespacepressure__func_ab945ba7b06a298a9642c93a600c46d14_icgraph">
<area shape="rect" id="node2" href="namespacearts__wc__simulation.html#a7a76e9e4058ce862b939c5558f30088a" title="arts_wc_simulation\l::pressure_solve_helmholtz" alt="" coords="208,37,389,79"/>
<area shape="rect" id="node6" href="namespacevdf__pressure.html#a0c5741822a7c3f28cda8c7d8710b1161" title="vdf_pressure::pressure\l_init_step2" alt="" coords="221,133,376,175"/>
<area shape="rect" id="node8" href="namespacevdf__pressure.html#ad1a54309d996e8b1cc522da8c595f37f" title="vdf_pressure::pressure\l_solve" alt="" coords="221,261,376,303"/>
<area shape="rect" id="node17" href="namespacevdf__pressure__md.html#a0de3aadae4184fb40ac0112edd227ec4" title="vdf_pressure_md::pressure\l_init_step2_md" alt="" coords="209,361,389,403"/>
<area shape="rect" id="node22" href="namespacevdf__pressure__md.html#ad455889bbbb6367f13f9a3bac4f22400" title="vdf_pressure_md::pressure\l_solve_md" alt="" coords="209,496,389,537"/>
<area shape="rect" id="node3" href="namespacearts__wc__simulation.html#ab727f30c0a8da70da3926cfe5718502f" title="arts_wc_simulation\l::wc_velocity_pressure" alt="" coords="451,5,607,47"/>
<area shape="rect" id="node4" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="682,5,839,47"/>
<area shape="rect" id="node5" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="915,13,1022,39"/>
<area shape="rect" id="node7" href="namespacevdf__pressure.html#ac1a8edd4b35743d7b9223dc97746e92e" title="vdf_pressure::pressure_init" alt="" coords="439,71,618,98"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="437,123,620,164"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda" title="mp_tension_m::mp_tension\l_p_test" alt="" coords="437,188,620,229"/>
<area shape="rect" id="node11" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="453,254,604,310"/>
<area shape="rect" id="node14" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="456,335,601,376"/>
<area shape="rect" id="node15" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552" title="vdf_velocity::velocity\l_set_continuity_w_rhou" alt="" coords="449,400,608,441"/>
<area shape="rect" id="node12" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="668,269,853,295"/>
<area shape="rect" id="node13" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="915,269,1022,295"/>
<area shape="rect" id="node16" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf" title="vdf_velocity::velocity\l_predict_density" alt="" coords="688,400,833,441"/>
<area shape="rect" id="node18" href="namespacevdf__pressure__md.html#a1918d5b2d60c7f96e03a7153e6d5fd50" title="vdf_pressure_md::pressure\l_init_md" alt="" coords="439,465,619,507"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="691,465,831,507"/>
<area shape="rect" id="node20" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="901,465,1036,507"/>
<area shape="rect" id="node21" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1084,473,1153,499"/>
<area shape="rect" id="node23" href="namespacevdf__velocity__md.html#a16ccc0ee9f5454f1d0a9e0218ff7fca6" title="vdf_velocity_md::velocity\l_pressure_md" alt="" coords="443,531,614,572"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a19798cce0c428a4592539f495fe6f598"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19798cce0c428a4592539f495fe6f598">&#9670;&nbsp;</a></span>alloc_ax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private pressure_func::alloc_ax = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e826873b9798787ec7b14057dd7176a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e826873b9798787ec7b14057dd7176a">&#9670;&nbsp;</a></span>alloc_ay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private pressure_func::alloc_ay = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d2f7225a65290a448291297c43bdb1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d2f7225a65290a448291297c43bdb1c">&#9670;&nbsp;</a></span>alloc_az</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private pressure_func::alloc_az = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afdb1f8b759d156f5b7ba8dac06254e6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdb1f8b759d156f5b7ba8dac06254e6f">&#9670;&nbsp;</a></span>alloc_rx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private pressure_func::alloc_rx = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a6961489745f1f95c9c7734de47b7b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a6961489745f1f95c9c7734de47b7b9">&#9670;&nbsp;</a></span>alloc_ry</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private pressure_func::alloc_ry = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a933172d6bfb92a67dad4fd19a1b38401"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a933172d6bfb92a67dad4fd19a1b38401">&#9670;&nbsp;</a></span>alloc_rz</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private pressure_func::alloc_rz = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
